package org.apache.xerces.xni.parser;

import org.apache.xerces.xni.XNIException;

public interface XMLErrorHandler {
  void error(String paramString1, String paramString2, XMLParseException paramXMLParseException) throws XNIException;
  
  void fatalError(String paramString1, String paramString2, XMLParseException paramXMLParseException) throws XNIException;
  
  void warning(String paramString1, String paramString2, XMLParseException paramXMLParseException) throws XNIException;
}
